<div class="container">
  <div class="d-flex">
    <div class="col-sm-12 col-md-6 row flex-column">
      <trufla-fast-add-input class="mb-3" (onAdd)="onFastAddInput($event)">
      </trufla-fast-add-input>

      <trufla-json-validator
        label="Put Form Json here or you can use fast add input, click show help to view json schema example for each chosen input"
        [json]="formFields"
        (jsonChange)="formJsonChanged($event)"
      >
      </trufla-json-validator>
      <div class="alert alert-danger" *ngIf="getUnsupportedInputs().length > 0">
        {{ "unsupported Inputes in JSON" + (getUnsupportedInputs() | json) }}
      </div>
    </div>
    <div class="col-sm-12 col-md-1 trufla-form-render mr-md-5"></div>
    <div class="col-sm-12 col-md-5 trufla-form-render mr-md-5">
      <trufla-form-render
        [fields]="formFields"
        [model]="model"
        (onSubmit)="onSubmit($event)"
      >
      </trufla-form-render>
    </div>
  </div>
</div>
